CVE-2017-8366

NameCVE-2017-8366
DescriptionThe strescape function in ec_strings.c in Ettercap 0.8.2 allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted filter that is mishandled by etterfilter.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3874-1
NVD severityhigh (attack range: remote)
Debian Bugs861604

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ettercap (PTS)jessie (security), jessie1:0.8.1-3+deb8u1fixed
stretch1:0.8.2-6fixed
buster, sid1:0.8.2-10fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ettercapsource(unstable)1:0.8.2-5high861604
ettercapsourcejessie1:0.8.1-3+deb8u1highDSA-3874-1

Notes

https://github.com/Ettercap/ettercap/issues/792
Fixed by: https://github.com/Ettercap/ettercap/commit/1083d604930ebb9f350126b83802ecd2cbc17f90

Search for package or bug name: Reporting problems